package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaTqueOptMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaTqueOpt;
import com.goldenwater.slaj.ttsa.service.IBisTtsaTqueOptService;

@Service
public class BisTtsaTqueOptServiceImpl implements IBisTtsaTqueOptService {
    @Autowired
    private BisTtsaTqueOptMapper bisTtsaTqueOptMapper;

    @Override
    public BisTtsaTqueOpt selectBisTtsaTqueOptByGuid(String guid) {
        return bisTtsaTqueOptMapper.selectBisTtsaTqueOptByGuid(guid);
    }

    @Override
    public List<BisTtsaTqueOpt> selectBisTtsaTqueOptList(BisTtsaTqueOpt bisTtsaTqueOpt) {
        return bisTtsaTqueOptMapper.selectBisTtsaTqueOptList(bisTtsaTqueOpt);
    }

    @Override
    public int insertBisTtsaTqueOpt(BisTtsaTqueOpt bisTtsaTqueOpt) {
        return bisTtsaTqueOptMapper.insertBisTtsaTqueOpt(bisTtsaTqueOpt);
    }

    @Override
    public int updateBisTtsaTqueOpt(BisTtsaTqueOpt bisTtsaTqueOpt) {
        return bisTtsaTqueOptMapper.updateBisTtsaTqueOpt(bisTtsaTqueOpt);
    }

    @Override
    public int deleteBisTtsaTqueOptByGuid(String guid) {
        return bisTtsaTqueOptMapper.deleteBisTtsaTqueOptByGuid(guid);
    }

    @Override
    public int deleteBisTtsaTqueOptByGuids(String[] guids) {
        return bisTtsaTqueOptMapper.deleteBisTtsaTqueOptByGuids(guids);
    }
}
